"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2b90>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2c20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2cb0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2d40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2dd0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2e60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2ef0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e2f80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3010>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e30a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3130>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e31c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3250>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e32e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3370>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3490>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3520>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e35b0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3640>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e36d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3760>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e37f0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3880>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e39a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3910>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3a30>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3ac0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3b50>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3be0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3c70>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3d00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3d90>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3e20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3eb0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b3e3f40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4340d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4341f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4343a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4344c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4345e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4348b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4349d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434a60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434af0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434c10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434ca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434d30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434dc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434e50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434ee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b434f70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435000>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4351b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435090>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435240>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4352d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435360>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4353f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435480>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4355a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435510>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435630>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4356c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435750>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435870>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b4357e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435900>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435990>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435a20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435ab0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435b40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8b435bd0>)]
name: str = 'fr_HOCCN'
